Skip to main content
GET
/
webhooks
/
{webhookId}
/
logs
Get paginated execution logs for a webhook.
curl --request GET \
  --url https://api.komerza.com/webhooks/{webhookId}/logs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "pages": 123,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dateCreated": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "signature": "<string>",
      "requestBody": "<string>",
      "retryCount": 123,
      "responseCode": 123,
      "responseBody": "<string>",
      "webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "<string>",
      "userAgent": "<string>",
      "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

webhookId
string<uuid>
required

ID of the webhook

Query Parameters

ResponseCode
integer<int32>

Filter by HTTP response code (e.g. 200, 500).

Success
boolean

Show only successful deliveries (2xx response codes).

From
string<date-time>

Only include logs created on or after this date (inclusive).

To
string<date-time>

Only include logs created on or before this date (inclusive).

Filters
string
Sorts
string
Page
integer<int32>
Required range: 1 <= x <= 2147483647
PageSize
integer<int32>
Required range: 1 <= x <= 2147483647

Response

The object was successfully returned.

Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.

success
boolean
required

Indicates whether the operation was successful

pages
integer<int32>
required

The total number of pages available in the paginated response.

data
object[]
required

Represents the collection of items within a paginated response